<template>
    <a :href="`https://jokerodds.com/football/match/${eventId}`" target="_blank" class="container__block v2">
        <span class="link__block">Compare Odds</span>
        <span class="container__row">
            <span class="image__block_top"></span>
            <span class="info__block_top">1</span>
            <span class="info__block_top">X</span>
            <span class="info__block_top">2</span>
        </span>
        <span class="container__row" v-for="(data, Idx) in widget.bookmakers">
              <template v-if="widget.event.scoreboard && (widget.event.scoreboard.status_id===2)">
                <span class="image__block" v-if="Object.keys(data.bets.inplay).length != 0"><img :src="`https://jokerodds.com/storage/${data.logo || ''}`"></span>
                <span class="info__block" v-if="Object.keys(data.bets.inplay).length != 0" >{{ data.bets.inplay['1'].price }}</span>
                <span class="info__block" v-if="Object.keys(data.bets.inplay).length != 0" >{{ data.bets.inplay['X'].price }}</span>
                <span class="info__block" v-if="Object.keys(data.bets.inplay).length != 0" >{{ data.bets.inplay['2'].price }}</span>
              </template>
              <template v-else>
                <span class="image__block" v-if="Object.keys(data.bets.prematch).length != 0"><img :src="`https://jokerodds.com/storage/${data.logo || ''}`"></span>
                <span class="info__block" v-if="Object.keys(data.bets.prematch).length != 0" >{{ data.bets.prematch['1'].price }}</span>
                <span class="info__block" v-if="Object.keys(data.bets.prematch).length != 0" >{{ data.bets.prematch['X'].price }}</span>
                <span class="info__block" v-if="Object.keys(data.bets.prematch).length != 0" >{{ data.bets.prematch['2'].price }}</span>
              </template>

        </span>
    </a>
</template>

<script>
import {mapActions, mapGetters} from "vuex";

export default {
    name: 'WidgetTwo',
    props:{
        eventId:[String,Number],
    },
    data() {
        return {
            eventWidget: [],
        }
    },
    computed: {
        ...mapGetters(['widget']),
    },
    methods: {
        ...mapActions(['fetchWidget']),
        fetchData() {
            this.fetchWidget(this.eventId).then(() => {
            })
        },
    },
    mounted() {

    },
    created() {
        this.fetchData()
    },
}
</script>

